SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   MySQL Vendors:   MySQL.com, Oracle
MySQL Multiple Flaws Let Remote Users Access and Gain Elevated Privileges, Remote Authenticated and Local Users Deny Service, and Remote Authenticated Users Modify Data
SecurityTracker Alert ID:  1041294
SecurityTracker URL:  http://securitytracker.com/id/1041294
CVE Reference:   CVE-2017-0379, CVE-2017-5645, CVE-2018-2598, CVE-2018-2767, CVE-2018-3054, CVE-2018-3056, CVE-2018-3058, CVE-2018-3060, CVE-2018-3061, CVE-2018-3062, CVE-2018-3063, CVE-2018-3064, CVE-2018-3065, CVE-2018-3066, CVE-2018-3067, CVE-2018-3070, CVE-2018-3071, CVE-2018-3073, CVE-2018-3074, CVE-2018-3075, CVE-2018-3077, CVE-2018-3078, CVE-2018-3079, CVE-2018-3080, CVE-2018-3081, CVE-2018-3082, CVE-2018-3084   (Links to External Site)
Date:  Jul 17 2018
Impact:   Denial of service via local system, Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.0.11 and prior
Description:   Multiple vulnerabilities were reported in MySQL. A remote user can gain elevated privileges. A remote user can access data on the target system. A remote authenticated user can modify data on the target system. A remote authenticated or local user can cause denial of service conditions on the target system.

A remote user can exploit a flaw in the MySQL Enterprise Monitor Service Manager (Apache Log4j) component to gain elevated privileges [CVE-2017-5645].

A remote user can exploit a flaw in the MySQL Workbench Workbench: Security: Encryption (libgcrypt) component to access data [CVE-2017-0379].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to partially modify data and cause denial of service conditions [CVE-2018-3064].

A remote authenticated user can exploit a flaw in the MySQL Server Client mysqldump component to cause denial of service conditions [CVE-2018-3070].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to modify data and cause denial of service conditions [CVE-2018-3060].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DML component to cause denial of service conditions [CVE-2018-3065].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Optimizer component to cause denial of service conditions [CVE-2018-3073].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Roles component to cause denial of service conditions [CVE-2018-3074].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Memcached component to cause denial of service conditions [CVE-2018-3062].

A remote authenticated user can exploit a flaw in the MySQL Client Client programs component to partially modify data and cause denial of service conditions [CVE-2018-3081].

A remote authenticated user can exploit a flaw in the MySQL Server Audit Log component to cause denial of service conditions [CVE-2018-3071].

A remote authenticated user can exploit a flaw in the MySQL Server InnoDB component to cause denial of service conditions [CVE-2018-3079].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DDL component to cause denial of service conditions [CVE-2018-3054, CVE-2018-3077, CVE-2018-3078, CVE-2018-3080].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DML component to cause denial of service conditions [CVE-2018-3061].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Replication component to cause denial of service conditions [CVE-2018-3067].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Privileges component to cause denial of service conditions [CVE-2018-3063, CVE-2018-3075].

A remote authenticated user can exploit a flaw in the MySQL Server MyISAM component to partially modify data [CVE-2018-3058].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Privileges component to partially access data [CVE-2018-3056].

A remote user can exploit a flaw in the MySQL Workbench Workbench: Security: Encryption component to partially access data [CVE-2018-2598].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Options component to partially access and partially modify data [CVE-2018-3066].

A remote authenticated user can exploit a flaw in the MySQL Server Server: Security: Encryption component to partially access data [CVE-2018-2767].

A local user can exploit a flaw in the MySQL Server Shell: Core / Client component to cause partial denial of service conditions [CVE-2018-3084].

A remote authenticated user can exploit a flaw in the MySQL Server Server: DDL component to partially access data [CVE-2018-3082].

Dario Weiser reported one vulnerability.

Impact:   A remote user can obtain data on the target system.

A remote authenticated user can modify data on the target system.

A local user can cause denial of service conditions on the target system.

A remote authenticated user can cause denial of service conditions on the target system.

A remote user can gain elevated privileges on the target system.

Solution:   The vendor has issued a fix as part of the July 2018 Critical Patch Update.

The vendor advisory is available at:

http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html

Vendor URL:  www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jul 30 2018 (Ubuntu Issues Fix) MySQL Multiple Flaws Let Remote Users Access and Gain Elevated Privileges, Remote Authenticated and Local Users Deny Service, and Remote Authenticated Users Modify Data
Ubuntu has issued a fix for Ubuntu Linux 14.04 LTS, 16.04 LTS, and 18.04 LTS.
Jul 30 2018 (Ubuntu Issues Fix) MySQL Multiple Flaws Let Remote Users Access and Gain Elevated Privileges, Remote Authenticated and Local Users Deny Service, and Remote Authenticated Users Modify Data
Ubuntu has issued a fix for Ubuntu Linux 12.04 ESM.
Oct 24 2018 (IBM Issues Fix for IBM Security Guardium) MySQL Multiple Flaws Let Remote Users Access and Gain Elevated Privileges, Remote Authenticated and Local Users Deny Service, and Remote Authenticated Users Modify Data
IBM has issued a fix for IBM Security Guardium.
Nov 28 2018 (Red Hat Issues Fix) MySQL Multiple Flaws Let Remote Users Access and Gain Elevated Privileges, Remote Authenticated and Local Users Deny Service, and Remote Authenticated Users Modify Data
Red Hat has issued a fix for Red Hat Enterprise Linux 6, 6.7, 7, 7.3, 7.4, and 7.5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC